unit laskuriform;
(*
   Autolaskuri, versio n.n.
   Esimerkki HTML Helpin kytst (kokeile F1-nppint eri komponenttien ollessa
   aktiivisena).

   Miika Nurminen, 27.8.2004
*)
interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, LisaaButton, laskuri, Menus, AppEvnts;

type
  TFormLaskuri = class(TForm)
    Laskuri1: TLaskuri;
    Laskuri2: TLaskuri;
    LisaaButton1: TLisaaButton;
    LisaaButton2: TLisaaButton;
    Label1: TLabel;
    MainMenu1: TMainMenu;
    N1: TMenuItem;
    Apua1: TMenuItem;
    Autolaskurinavustus1: TMenuItem;
    Lopeta1: TMenuItem;
    ButtonNollaa: TButton;
    Edit1: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure LaskuriChange(sender: TLaskuri; diff: Integer);
    procedure Autolaskurinavustus1Click(Sender: TObject);
    procedure ButtonNollaaClick(Sender: TObject);
  private
    function ApplicationOnHelp(Command: Word; Data: Longint; var CallHelp: Boolean): Boolean;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormLaskuri: TFormLaskuri;

implementation

uses resources, htmlhlp;

const HtmlHelpFile = 'laskurihelp.chm';

{$R *.dfm}

procedure TFormLaskuri.FormCreate(Sender: TObject);
begin
  Caption := resources.ProductName + ' - v' + resources.Version;
  LaskuriChange(nil,0); // pivitt tekstin
  Application.OnHelp := ApplicationOnHelp;
end;

procedure TFormLaskuri.LaskuriChange(sender: TLaskuri; diff: Integer);
begin
  // formatoitu tulostus. formatoitavat muuttujat annetaan taulukossa
  // vrt c:n printf
  Label1.Caption := Format(resources.SumString+'.',[Laskuri1.Count+Laskuri2.Count]);
end;

procedure TFormLaskuri.Autolaskurinavustus1Click(Sender: TObject);
begin
  HtmlHelp(0, PChar(HtmlHelpFile), HH_DISPLAY_TOC, 0);
end;

function TFormLaskuri.ApplicationOnHelp(Command: Word; Data: Integer;
  var CallHelp: Boolean): Boolean;
begin
  // Est WinHelpin kutsumisen
  CallHelp := False;
  Result := True;
  case Command of
    HELP_CONTEXTPOPUP:
      HtmlHelp(0, PChar(HtmlHelpFile), HH_HELP_CONTEXT, Data);
    else Result := False;
  end;
end;

procedure TFormLaskuri.ButtonNollaaClick(Sender: TObject);
begin
  Laskuri1.Count:=0;
  Laskuri2.Count:=0;
end;

end.
